{% extends "internal-base.html" %}
{% load static from staticfiles %}

{% block js %}
<script src="{% static "/custom/js/general.js" %}"></script>
<script src="{% static "/dist/js/Chart.bundle.min.js" %}"></script>
<script src="{% static "/custom/js/analytics.js" %}"></script>
{% endblock %}

{% block bar_sidetab_active %}class="active"{% endblock %}

{% block content_body %}
<div class="content-header"></div>
<div id="graph-data">
	<div id="mrr-breakdown">
	{% for mrr_entry in mrr_types %}
		{% if mrr_entry.total %}
			<p data-x-label="{{mrr_entry.month|date:'M Y'}}" data-bookings="{{mrr_entry.bookings.normalize}}" data-type="data-row" data-total="{{mrr_entry.total.normalize}}" data-contraction="{{mrr_entry.contraction.normalize}}" data-expansion="{{mrr_entry.expansion_mrr.normalize}}" data-churn="{{mrr_entry.churn_mrr.normalize}}" data-new="{{mrr_entry.new_mrr.normalize}}"></p>
		{% endif %}
	{% endfor %}
	</div>
</div>
<div class="content body">
	<canvas id="sample-chart-1" class="mrr-chart"></canvas>
	<hr>
	<div class="table-responsive">
		<table id="sample-grid-1" class="table"></table>
	</div>
	<br>
	<hr>
	<canvas id="sample-chart-2" class="mrr-chart"></canvas>
	<hr>
	<div class="table-responsive">
		<table id="sample-grid-2" class="table"></table>
	</div>
	<br>
	<hr>
	<canvas id="sample-chart-3" class="mrr-chart"></canvas>
	<hr>
	<div class="table-responsive">
		<table id="sample-grid-3" class="table"></table>
	</div>
	<br>
	<hr>
</div>
{% endblock %}
